/*----------------------------------------------------------------------------
 * CataPack
 *
 * Authors: Paolo Montegriffo <paolo.montegriffo@oabo.inaf.it>
 *
 * Copyright (C) 2001-2006 INAF - Osservatorio Astronomico di Bologna.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *--------------------------------------------------------------------------*/

#ifndef CPK_INIT_H
#define CPK_INIT_H 1

/* Function declarations */

extern void  cpk_init               (gchar *file_logo) ;

extern void  cpk_exit               (gboolean   t) ;

extern void  app_exit_finish        (void) ;
extern int   app_exit_finish_done   (void) ;
extern void  app_init_update_status (char      *label1val, 
                                     char      *label2val, 
                                     gdouble    pct_progress) ;


#endif /* CPK_INIT_H */
